<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from mbigint_sum.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="mbigint_sum" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>mbigint_sum</refname>
    <refpurpose>bigint matrix sum</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   S=sum(M [,opt])
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>M :</term>
      <listitem><para> mbigint</para></listitem></varlistentry>
   <varlistentry><term>S :</term>
      <listitem><para> bigint or mbigint</para></listitem></varlistentry>
   <varlistentry><term>opt :</term>
      <listitem><para> string 'c' or 'r'</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
sum of the bigint matrix entries, you can specify sum over rows/column with optional argument 'r' ou 'c' .
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=bigint(123456789);
y=bigint(987654321);
z=x-y;
L=[x y z]
sum(L) //= 2*x
2*x
M=[L; L]
sum(M)
sum(M,'r') // = [2*x 2*y 2*z]
sum(M,'c') // = [2*x; 2*x]

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="size">size</link></member>
   <member><link linkend="matrix_bigint">matrix_bigint</link></member>
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="prod">prod</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
